### Class

# PapersView DocumentModel

#### Description

    final class PapersView.DocumentModel : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_document_model_new

No description available.

###### pps_document_model_new_with_document

No description available.

#### Instance methods

###### pps_document_model_get_annotation_editing_state

Returns the current editing state.

since: 48.0

###### pps_document_model_get_annotation_model

Gets the annotation model from the document model.

###### pps_document_model_get_continuous

No description available.

###### pps_document_model_get_document

Returns the `PpsDocument` referenced by the model.

###### pps_document_model_get_dual_page_odd_pages_left

No description available.

###### pps_document_model_get_inverted_colors

No description available.

###### pps_document_model_get_max_scale

No description available.

###### pps_document_model_get_min_scale

No description available.

###### pps_document_model_get_page

No description available.

###### pps_document_model_get_page_layout

No description available.

###### pps_document_model_get_rotation

No description available.

###### pps_document_model_get_rtl

No description available.

###### pps_document_model_get_scale

No description available.

###### pps_document_model_get_sizing_mode

No description available.

###### pps_document_model_set_annotation_editing_state

Sets the current editing state. In a `PpsView`, This implies that editing widgets for annotations may be shown and annotations not rendered by the backend.

since: 48.0

###### pps_document_model_set_continuous

No description available.

###### pps_document_model_set_document

Set the document.

###### pps_document_model_set_dual_page_odd_pages_left

No description available.

###### pps_document_model_set_inverted_colors

No description available.

###### pps_document_model_set_max_scale

No description available.

###### pps_document_model_set_min_scale

No description available.

###### pps_document_model_set_page

No description available.

###### pps_document_model_set_page_by_label

No description available.

###### pps_document_model_set_page_layout

Sets the document model’s page layout to `layout`.

###### pps_document_model_set_rotation

No description available.

###### pps_document_model_set_rtl

No description available.

###### pps_document_model_set_scale

No description available.

###### pps_document_model_set_sizing_mode

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.DocumentModel:annotation-editing-state

No description available.

###### PapersView.DocumentModel:annotation-model

No description available.

###### PapersView.DocumentModel:continuous

No description available.

###### PapersView.DocumentModel:document

No description available.

###### PapersView.DocumentModel:dual-odd-left

No description available.

###### PapersView.DocumentModel:inverted-colors

No description available.

###### PapersView.DocumentModel:max-scale

No description available.

###### PapersView.DocumentModel:min-scale

No description available.

###### PapersView.DocumentModel:page

No description available.

###### PapersView.DocumentModel:page-layout

No description available.

###### PapersView.DocumentModel:rotation

No description available.

###### PapersView.DocumentModel:rtl

No description available.

###### PapersView.DocumentModel:scale

No description available.

###### PapersView.DocumentModel:sizing-mode

No description available.

#### Signals

###### PapersView.DocumentModel::page-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewDocumentModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.